import { EventEmitter } from '../../../../stencil-public-runtime';
import { Action } from '../../snk-taskbar';
export declare class TaskbarActionsButton {
  private _element;
  private _showDropdown;
  /**
   * Texto que será exibido no botão
   */
  title: string;
  /**
   * Se false o usuário não pode interagir com o componente.
   */
  enabled: boolean;
  /**
   * Define a lista de ações.
   */
  actions: Array<Action>;
  /**
   * Emitido ao selecionar uma ação
   */
  taskbarActionSelected: EventEmitter<Action>;
  /**
   * Emitido ao mostrar a lista de ações
   */
  taskbarActionsOpened: EventEmitter<HTMLElement>;
  handleKeyDown(event: KeyboardEvent): Promise<void>;
  handleClose(): Promise<void>;
  /**
   * Exibe a lista de ações.
   */
  showActions(): Promise<void>;
  /**
   * Esaconde a lista de ações.
   */
  hideActions(): Promise<void>;
  /**
   * Informa se a lista de ações está aberta.
   */
  isOpened(): Promise<boolean>;
  /**
   * Emitido quando componente é desconectado da DOM
   */
  taskbarActionsButtonDisconnected: EventEmitter<void>;
  private controlDropdown;
  private loadItems;
  private canShowDropdown;
  private onSelectAction;
  private getSelectedAction;
  private dropdownItemBuilder;
  /**
   * Existem algumas actions que precisam ser inicializadas assim que o componente é carregado,
   * pois necessitam de algumas informações, como por exemplo a referência do elemento taskbar-actions-button na tela.
   * É o caso do searchColumn/searhField
   */
  private initializeEagerItems;
  componentDidLoad(): void;
  componentDidRender(): void;
  disconnectedCallback(): void;
  render(): any;
}
